<!DOCTYPE html>
<html lang='en'>
<head>
<title>6.5-i686.conf « linux-libre « aux-files « packages « gnu - guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/gnu/packages/aux-files/linux-libre/6.5-i686.conf?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='27fd2d2c2ad9efab35d13f5c4f0051dcaf3de099'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'>'sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=cdffb73c04d0c68d7edf19ee02fc3a554dea04bc'>refs</a><a href='/guix/log/gnu/packages/patches/isl-0.11.1-aarch64-support.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/isl-0.11.1-aarch64-support.patch?id=cdffb73c04d0c68d7edf19ee02fc3a554dea04bc'>tree</a><a href='/guix/commit/gnu/packages/patches/isl-0.11.1-aarch64-support.patch?id=cdffb73c04d0c68d7edf19ee02fc3a554dea04bc'>commit</a><a href='/guix/diff/gnu/packages/patches/isl-0.11.1-aarch64-support.patch?id=cdffb73c04d0c68d7edf19ee02fc3a554dea04bc'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/isl-0.11.1-aarch64-support.patch'>
<input type='hidden' name='id' value='cdffb73c04d0c68d7edf19ee02fc3a554dea04bc'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=cdffb73c04d0c68d7edf19ee02fc3a554dea04bc'>root</a>/<a href='/guix/tree/gnu?id=cdffb73c04d0c68d7edf19ee02fc3a554dea04bc'>gnu</a>/<a href='/guix/tree/gnu/packages?id=cdffb73c04d0c68d7edf19ee02fc3a554dea04bc'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=cdffb73c04d0c68d7edf19ee02fc3a554dea04bc'>patches</a>/<a href='/guix/tree/gnu/packages/patches/isl-0.11.1-aarch64-support.patch?id=cdffb73c04d0c68d7edf19ee02fc3a554dea04bc'>isl-0.11.1-aarch64-support.patch</a></div><div class='content'>blob: c5607fc80dc737f412d5d7e4148fa6494d6f95f8 (<a href='/guix/about/gnu/packages/patches/isl-0.11.1-aarch64-support.patch?id=cdffb73c04d0c68d7edf19ee02fc3a554dea04bc'>about</a>) (<a href='/guix/plain/gnu/packages/patches/isl-0.11.1-aarch64-support.patch?id=cdffb73c04d0c68d7edf19ee02fc3a554dea04bc'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
<a id='n32' href='#n32'>32</a>
<a id='n33' href='#n33'>33</a>
<a id='n34' href='#n34'>34</a>
<a id='n35' href='#n35'>35</a>
<a id='n36' href='#n36'>36</a>
<a id='n37' href='#n37'>37</a>
<a id='n38' href='#n38'>38</a>
<a id='n39' href='#n39'>39</a>
<a id='n40' href='#n40'>40</a>
</pre></td>
<td class='lines'><pre><code>Add aarch64 support to config.guess and config.sub, as would be found if using
a more recent version of autoconf.
---
 config.guess          |    7 +++++++
 config.sub            |    1 +
 2 files changed, 8 insertions(+)

diff --git a/config.guess b/config.guess
index 40eaed4..baad294 100755
--- a/config.guess
+++ b/config.guess
@@ -861,6 +861,13 @@ EOF
     i*86:Minix:*:*)
 	echo ${UNAME_MACHINE}-pc-minix
 	exit ;;
+    aarch64:Linux:*:*)
+	echo ${UNAME_MACHINE}-unknown-linux-gnu
+	exit ;;
+    aarch64_be:Linux:*:*)
+	UNAME_MACHINE=aarch64_be
+	echo ${UNAME_MACHINE}-unknown-linux-gnu
+	exit ;;
     alpha:Linux:*:*)
 	case `sed -n '/^cpu model/s/^.*: \(.*\)/\1/p' &lt; /proc/cpuinfo` in
 	  EV5)   UNAME_MACHINE=alphaev5 ;;
diff --git a/config.sub b/config.sub
index 30fdca8..8f5b018 100755
--- a/config.sub
+++ b/config.sub
@@ -247,6 +247,7 @@ case $basic_machine in
 	# Some are omitted here because they have special meanings below.
 	1750a | 580 \
 	| a29k \
+	| aarch64 | aarch64_be \
 	| alpha | alphaev[4-8] | alphaev56 | alphaev6[78] | alphapca5[67] \
 	| alpha64 | alpha64ev[4-8] | alpha64ev56 | alpha64ev6[78] | alpha64pca5[67] \
 	| am33_2.0 \
-- 
2.9.0

</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>