<!DOCTYPE html>
<html lang='en'>
<head>
<title>kiki-portability-64bit.patch « patches « packages « gnu - guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/gnu/packages/patches/kiki-portability-64bit.patch?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='ab9f9b582e510e3d1133ec29242e70fca1d2997a'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'>b right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=ab9f9b582e510e3d1133ec29242e70fca1d2997a'>refs</a><a href='/guix/log/gnu/packages/patches/jbr-17-xcursor-no-dynamic.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/jbr-17-xcursor-no-dynamic.patch?id=ab9f9b582e510e3d1133ec29242e70fca1d2997a'>tree</a><a href='/guix/commit/gnu/packages/patches/jbr-17-xcursor-no-dynamic.patch?id=ab9f9b582e510e3d1133ec29242e70fca1d2997a'>commit</a><a href='/guix/diff/gnu/packages/patches/jbr-17-xcursor-no-dynamic.patch?id=ab9f9b582e510e3d1133ec29242e70fca1d2997a'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/jbr-17-xcursor-no-dynamic.patch'>
<input type='hidden' name='id' value='ab9f9b582e510e3d1133ec29242e70fca1d2997a'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=ab9f9b582e510e3d1133ec29242e70fca1d2997a'>root</a>/<a href='/guix/tree/gnu?id=ab9f9b582e510e3d1133ec29242e70fca1d2997a'>gnu</a>/<a href='/guix/tree/gnu/packages?id=ab9f9b582e510e3d1133ec29242e70fca1d2997a'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=ab9f9b582e510e3d1133ec29242e70fca1d2997a'>patches</a>/<a href='/guix/tree/gnu/packages/patches/jbr-17-xcursor-no-dynamic.patch?id=ab9f9b582e510e3d1133ec29242e70fca1d2997a'>jbr-17-xcursor-no-dynamic.patch</a></div><div class='content'>blob: 371cbfe202151d4c0f1e880eea4770a4c774b418 (<a href='/guix/about/gnu/packages/patches/jbr-17-xcursor-no-dynamic.patch?id=ab9f9b582e510e3d1133ec29242e70fca1d2997a'>about</a>) (<a href='/guix/plain/gnu/packages/patches/jbr-17-xcursor-no-dynamic.patch?id=ab9f9b582e510e3d1133ec29242e70fca1d2997a'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
<a id='n32' href='#n32'>32</a>
<a id='n33' href='#n33'>33</a>
<a id='n34' href='#n34'>34</a>
<a id='n35' href='#n35'>35</a>
<a id='n36' href='#n36'>36</a>
<a id='n37' href='#n37'>37</a>
<a id='n38' href='#n38'>38</a>
<a id='n39' href='#n39'>39</a>
<a id='n40' href='#n40'>40</a>
<a id='n41' href='#n41'>41</a>
<a id='n42' href='#n42'>42</a>
<a id='n43' href='#n43'>43</a>
<a id='n44' href='#n44'>44</a>
<a id='n45' href='#n45'>45</a>
<a id='n46' href='#n46'>46</a>
<a id='n47' href='#n47'>47</a>
<a id='n48' href='#n48'>48</a>
<a id='n49' href='#n49'>49</a>
<a id='n50' href='#n50'>50</a>
<a id='n51' href='#n51'>51</a>
<a id='n52' href='#n52'>52</a>
<a id='n53' href='#n53'>53</a>
<a id='n54' href='#n54'>54</a>
<a id='n55' href='#n55'>55</a>
<a id='n56' href='#n56'>56</a>
<a id='n57' href='#n57'>57</a>
<a id='n58' href='#n58'>58</a>
<a id='n59' href='#n59'>59</a>
<a id='n60' href='#n60'>60</a>
<a id='n61' href='#n61'>61</a>
<a id='n62' href='#n62'>62</a>
<a id='n63' href='#n63'>63</a>
<a id='n64' href='#n64'>64</a>
<a id='n65' href='#n65'>65</a>
<a id='n66' href='#n66'>66</a>
<a id='n67' href='#n67'>67</a>
<a id='n68' href='#n68'>68</a>
<a id='n69' href='#n69'>69</a>
<a id='n70' href='#n70'>70</a>
<a id='n71' href='#n71'>71</a>
<a id='n72' href='#n72'>72</a>
</pre></td>
<td class='lines'><pre><code>From: Danny Milosavljevic &lt;dannym@scratchpost.org&gt;
Date: Thu, 31 Mar 2022 17:02:00 +0200
Subject: Make openjdk use libxcursor directly

Fixes &lt;https://issues.guix.gnu.org/54654&gt;.

This patch makes openjdk use libxcursor directly.
Without it, libx11 would try to dlopen("libXcursor.so.1") and fail.

diff -ru orig/22kjr9lzrml0h5m55viq7zlfkqr9p7ny-openjdk-15.0.3-checkout/make/modules/java.desktop/lib/Awt2dLibraries.gmk 22kjr9lzrml0h5m55viq7zlfkqr9p7ny-openjdk-15.0.3-checkout/make/modules/java.desktop/lib/Awt2dLibraries.gmk
--- orig/22kjr9lzrml0h5m55viq7zlfkqr9p7ny-openjdk-15.0.3-checkout/make/modules/java.desktop/lib/Awt2dLibraries.gmk	2022-03-31 15:34:08.773419480 +0200
+++ 22kjr9lzrml0h5m55viq7zlfkqr9p7ny-openjdk-15.0.3-checkout/make/modules/java.desktop/lib/Awt2dLibraries.gmk	2022-03-31 21:36:27.854273411 +0200
@@ -217,7 +217,7 @@
       endif
     endif
 
-    LIBAWT_XAWT_LIBS := $(LIBM) -lawt -lXext -lX11 -lXrender $(SPEECHD_LIBS) $(LIBDL) -lXtst -lXi -ljava -ljvm
+    LIBAWT_XAWT_LIBS := $(LIBM) -lawt -lXext -lX11 -lXcursor -lXrender $(SPEECHD_LIBS) $(LIBDL) -lXtst -lXi -ljava -ljvm
 
     ifeq ($(call isTargetOs, linux), true)
       LIBAWT_XAWT_LIBS += -lpthread
diff -ru orig/22kjr9lzrml0h5m55viq7zlfkqr9p7ny-openjdk-15.0.3-checkout/src/java.desktop/unix/native/libawt_xawt/xawt/XlibWrapper.c 22kjr9lzrml0h5m55viq7zlfkqr9p7ny-openjdk-15.0.3-checkout/src/java.desktop/unix/native/libawt_xawt/xawt/XlibWrapper.c
--- orig/22kjr9lzrml0h5m55viq7zlfkqr9p7ny-openjdk-15.0.3-checkout/src/java.desktop/unix/native/libawt_xawt/xawt/XlibWrapper.c	2022-03-31 15:34:11.917502206 +0200
+++ 22kjr9lzrml0h5m55viq7zlfkqr9p7ny-openjdk-15.0.3-checkout/src/java.desktop/unix/native/libawt_xawt/xawt/XlibWrapper.c	2022-03-31 21:38:16.417253535 +0200
@@ -40,10 +40,12 @@
 #include &lt;X11/keysym.h&gt;
 #include &lt;X11/Sunkeysym.h&gt;
 #include &lt;X11/Xlib.h&gt;
+#include &lt;X11/Xlibint.h&gt;
 #include &lt;X11/Xatom.h&gt;
 #include &lt;X11/XKBlib.h&gt;
 #include &lt;X11/Xos.h&gt;
 #include &lt;X11/Xutil.h&gt;
+#include &lt;X11/Xcursor/Xcursor.h&gt;
 
 #if defined(AIX)
 #undef X_HAVE_UTF8_STRING
@@ -972,10 +974,21 @@
 
 }
 
+static XColor _Xconst foreground = { 0,    0,     0,     0  };  /* black */
+static XColor _Xconst background = { 0, 65535, 65535, 65535 };  /* white */
+
 JNIEXPORT jint JNICALL Java_sun_awt_X11_XlibWrapper_XCreateFontCursor
 (JNIEnv *env, jclass clazz, jlong display, jint shape) {
     AWT_CHECK_HAVE_LOCK_RETURN(0);
-    return XCreateFontCursor((Display *) jlong_to_ptr(display), (int) shape);
+    Display * dpy = (Display *) jlong_to_ptr(display);
+    if (dpy-&gt;cursor_font == None) {
+        dpy-&gt;cursor_font = XLoadFont(dpy, "cursor");
+        if (dpy-&gt;cursor_font == None) return None;
+    }
+    Cursor result = XcursorTryShapeCursor(dpy, dpy-&gt;cursor_font, dpy-&gt;cursor_font, (int) shape, (int) shape + 1, &amp;foreground, &amp;background);
+    if (!result)
+        result = XCreateFontCursor(dpy, (int) shape);
+    return result;
 }
 
 /*
diff -ru orig/22kjr9lzrml0h5m55viq7zlfkqr9p7ny-openjdk-15.0.3-checkout/test/jdk/java/awt/JAWT/Makefile.unix 22kjr9lzrml0h5m55viq7zlfkqr9p7ny-openjdk-15.0.3-checkout/test/jdk/java/awt/JAWT/Makefile.unix
--- orig/22kjr9lzrml0h5m55viq7zlfkqr9p7ny-openjdk-15.0.3-checkout/test/jdk/java/awt/JAWT/Makefile.unix	2022-03-31 15:34:10.553466316 +0200
+++ 22kjr9lzrml0h5m55viq7zlfkqr9p7ny-openjdk-15.0.3-checkout/test/jdk/java/awt/JAWT/Makefile.unix	2022-03-31 21:36:27.854273411 +0200
@@ -31,7 +31,7 @@
 
 J_INC =		$(TESTJAVA)/include
 INCLUDES =	-I$(J_INC) -I$(J_INC)/$(SYST) -I.
-LIBS =		-L$(TESTJAVA)/lib -ljawt -lX11
+LIBS =		-L$(TESTJAVA)/lib -ljawt -lX11 -lXcursor
 
 all:		$(CLASSES) libmylib.so
 
</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>