<!DOCTYPE html>
<html lang='en'>
<head>
<title>guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='ca7e310f7ac32354b2e693e9a0f783320952a8fc'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'>ct> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=ca7e310f7ac32354b2e693e9a0f783320952a8fc'>refs</a><a href='/guix/log/gnu/packages/patches/julia-SOURCE_DATE_EPOCH-mtime.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/julia-SOURCE_DATE_EPOCH-mtime.patch?id=ca7e310f7ac32354b2e693e9a0f783320952a8fc'>tree</a><a href='/guix/commit/gnu/packages/patches/julia-SOURCE_DATE_EPOCH-mtime.patch?id=ca7e310f7ac32354b2e693e9a0f783320952a8fc'>commit</a><a href='/guix/diff/gnu/packages/patches/julia-SOURCE_DATE_EPOCH-mtime.patch?id=ca7e310f7ac32354b2e693e9a0f783320952a8fc'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/julia-SOURCE_DATE_EPOCH-mtime.patch'>
<input type='hidden' name='id' value='ca7e310f7ac32354b2e693e9a0f783320952a8fc'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=ca7e310f7ac32354b2e693e9a0f783320952a8fc'>root</a>/<a href='/guix/tree/gnu?id=ca7e310f7ac32354b2e693e9a0f783320952a8fc'>gnu</a>/<a href='/guix/tree/gnu/packages?id=ca7e310f7ac32354b2e693e9a0f783320952a8fc'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=ca7e310f7ac32354b2e693e9a0f783320952a8fc'>patches</a>/<a href='/guix/tree/gnu/packages/patches/julia-SOURCE_DATE_EPOCH-mtime.patch?id=ca7e310f7ac32354b2e693e9a0f783320952a8fc'>julia-SOURCE_DATE_EPOCH-mtime.patch</a></div><div class='content'>blob: c6ca48fff0fe5136cdac534f5cac23d924fbf6fa (<a href='/guix/about/gnu/packages/patches/julia-SOURCE_DATE_EPOCH-mtime.patch?id=ca7e310f7ac32354b2e693e9a0f783320952a8fc'>about</a>) (<a href='/guix/plain/gnu/packages/patches/julia-SOURCE_DATE_EPOCH-mtime.patch?id=ca7e310f7ac32354b2e693e9a0f783320952a8fc'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
</pre></td>
<td class='lines'><pre><code>Fix one of upstream non-determinism, tracked here:

https://github.com/JuliaLang/julia/issues/34115
https://github.com/JuliaLang/julia/issues/25900


Patch by Nicoló Balzarotti &lt;nicolo@nixo.xyz&gt;.

--- a/base/loading.jl
+++ b/base/loading.jl
@@ -1131,7 +1131,10 @@ function _include_dependency(mod::Module, _path::AbstractString)
     end
     if _track_dependencies[]
         @lock require_lock begin
-        push!(_require_dependencies, (mod, path, mtime(path)))
+          push!(_require_dependencies,
+                (mod, path,
+                 haskey(ENV, "SOURCE_DATE_EPOCH") ?
+                 parse(Float64, ENV["SOURCE_DATE_EPOCH"]) : mtime(path)))
         end
     end
     return path, prev
 end
</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>