<!DOCTYPE html>
<html lang='en'>
<head>
<title>guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/gnu/packages?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='be2f5da810b7cc015ac690dd437aa2cfb03f1770'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'>ipts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=f0a01ff42afd5862a42aa2c6a9aba57061001def'>refs</a><a href='/guix/log/gnu/packages/patches/kde-cli-tools-delay-mime-db.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/kde-cli-tools-delay-mime-db.patch?id=f0a01ff42afd5862a42aa2c6a9aba57061001def'>tree</a><a href='/guix/commit/gnu/packages/patches/kde-cli-tools-delay-mime-db.patch?id=f0a01ff42afd5862a42aa2c6a9aba57061001def'>commit</a><a href='/guix/diff/gnu/packages/patches/kde-cli-tools-delay-mime-db.patch?id=f0a01ff42afd5862a42aa2c6a9aba57061001def'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/kde-cli-tools-delay-mime-db.patch'>
<input type='hidden' name='id' value='f0a01ff42afd5862a42aa2c6a9aba57061001def'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=f0a01ff42afd5862a42aa2c6a9aba57061001def'>root</a>/<a href='/guix/tree/gnu?id=f0a01ff42afd5862a42aa2c6a9aba57061001def'>gnu</a>/<a href='/guix/tree/gnu/packages?id=f0a01ff42afd5862a42aa2c6a9aba57061001def'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=f0a01ff42afd5862a42aa2c6a9aba57061001def'>patches</a>/<a href='/guix/tree/gnu/packages/patches/kde-cli-tools-delay-mime-db.patch?id=f0a01ff42afd5862a42aa2c6a9aba57061001def'>kde-cli-tools-delay-mime-db.patch</a></div><div class='content'>blob: e29b3b192dea3b921166ccad6d2217ec6deb3c28 (<a href='/guix/about/gnu/packages/patches/kde-cli-tools-delay-mime-db.patch?id=f0a01ff42afd5862a42aa2c6a9aba57061001def'>about</a>) (<a href='/guix/plain/gnu/packages/patches/kde-cli-tools-delay-mime-db.patch?id=f0a01ff42afd5862a42aa2c6a9aba57061001def'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
</pre></td>
<td class='lines'><pre><code>From f8cfb96a1540fc3256af95adf8003b75c305183c Mon Sep 17 00:00:00 2001
From: Petr Hodina &lt;phodina@protonmail.com&gt;
Date: Fri, 30 Sep 2022 21:55:55 +0200
Subject: [PATCH] Add delay to update the mime db in testCreateMimeType test
 function.


diff --git a/keditfiletype/tests/filetypestest.cpp b/keditfiletype/tests/filetypestest.cpp
index e58e6f2..a41d4ad 100644
--- a/keditfiletype/tests/filetypestest.cpp
+++ b/keditfiletype/tests/filetypestest.cpp
@@ -315,6 +315,9 @@ private Q_SLOTS:
         QVERIFY(data.isDirty());
         QVERIFY(data.sync());
         MimeTypeWriter::runUpdateMimeDatabase();
+        // QMimeDatabase doesn't even try to update the cache if less than
+        // 5000 ms have passed (can't use qmime_secondsBetweenChecks)
+        QTest::qSleep(5000);
         QMimeType mime = db.mimeTypeForName(mimeTypeName);
         QVERIFY(mime.isValid());
         QCOMPARE(mime.comment(), fakeComment);

base-commit: b5911cda17521156b22429436e19b508aa442a57
-- 
2.37.2

</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>