Last-Modified: Sun, 29 Dec 2024 23:34:39 GMT
Expires: Wed, 27 Dec 2034 23:34:39 GMT

<!DOCTYPE html>
<html lang='en'>
<head>
<title>guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/THANKS?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='09351a8f9f023edf034e044d075e32cbb6088cce'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'>ct> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=c4a8a88e8749cb20828a8b9e196980b8090c1c0f'>refs</a><a href='/guix/log/gnu/packages/patches/leela-zero-gtest.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/leela-zero-gtest.patch?id=c4a8a88e8749cb20828a8b9e196980b8090c1c0f'>tree</a><a href='/guix/commit/gnu/packages/patches/leela-zero-gtest.patch?id=c4a8a88e8749cb20828a8b9e196980b8090c1c0f'>commit</a><a href='/guix/diff/gnu/packages/patches/leela-zero-gtest.patch?id=c4a8a88e8749cb20828a8b9e196980b8090c1c0f'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/leela-zero-gtest.patch'>
<input type='hidden' name='id' value='c4a8a88e8749cb20828a8b9e196980b8090c1c0f'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=c4a8a88e8749cb20828a8b9e196980b8090c1c0f'>root</a>/<a href='/guix/tree/gnu?id=c4a8a88e8749cb20828a8b9e196980b8090c1c0f'>gnu</a>/<a href='/guix/tree/gnu/packages?id=c4a8a88e8749cb20828a8b9e196980b8090c1c0f'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=c4a8a88e8749cb20828a8b9e196980b8090c1c0f'>patches</a>/<a href='/guix/tree/gnu/packages/patches/leela-zero-gtest.patch?id=c4a8a88e8749cb20828a8b9e196980b8090c1c0f'>leela-zero-gtest.patch</a></div><div class='content'>blob: 7291b4ab72519f10f9538f3d93ea05f1a534fd32 (<a href='/guix/about/gnu/packages/patches/leela-zero-gtest.patch?id=c4a8a88e8749cb20828a8b9e196980b8090c1c0f'>about</a>) (<a href='/guix/plain/gnu/packages/patches/leela-zero-gtest.patch?id=c4a8a88e8749cb20828a8b9e196980b8090c1c0f'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
<a id='n32' href='#n32'>32</a>
<a id='n33' href='#n33'>33</a>
<a id='n34' href='#n34'>34</a>
<a id='n35' href='#n35'>35</a>
<a id='n36' href='#n36'>36</a>
<a id='n37' href='#n37'>37</a>
<a id='n38' href='#n38'>38</a>
<a id='n39' href='#n39'>39</a>
<a id='n40' href='#n40'>40</a>
</pre></td>
<td class='lines'><pre><code>Use shared gtest instead of submodule

diff --git a/CMakeLists.txt b/CMakeLists.txt
index 617e4b2..2857875 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -18,7 +18,6 @@ set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")
 include(GNUInstallDirs)
 
 project(leelaz)
-add_subdirectory(gtest EXCLUDE_FROM_ALL) # We don't want to install gtest, exclude it from `all`
 
 # Required Packages
 set(Boost_MIN_VERSION "1.58.0")
@@ -27,6 +26,7 @@ find_package(Boost 1.58.0 REQUIRED program_options filesystem)
 find_package(Threads REQUIRED)
 find_package(ZLIB REQUIRED)
 find_package(OpenCL REQUIRED)
+find_package(GTest REQUIRED)
 # We need OpenBLAS for now, because we make some specific
 # calls. Ideally we'd use OpenBLAS is possible and fall back to
 # not doing those calls if it's not present.
@@ -93,6 +93,7 @@ include_directories(${IncludePath})
 include_directories(${Boost_INCLUDE_DIRS})
 include_directories(${OpenCL_INCLUDE_DIRS})
 include_directories(${ZLIB_INCLUDE_DIRS})
+include_directories(${GTEST_INCLUDE_DIRS})
 
 if((UNIX AND NOT APPLE) OR WIN32)
     include_directories(${BLAS_INCLUDE_DIRS})
@@ -141,7 +142,8 @@ target_link_libraries(tests ${Boost_LIBRARIES})
 target_link_libraries(tests ${BLAS_LIBRARIES})
 target_link_libraries(tests ${OpenCL_LIBRARIES})
 target_link_libraries(tests ${ZLIB_LIBRARIES})
-target_link_libraries(tests gtest_main ${CMAKE_THREAD_LIBS_INIT})
+target_link_libraries(tests ${GTEST_BOTH_LIBRARIES})
+target_link_libraries(tests ${CMAKE_THREAD_LIBS_INIT})
 
 include(GetGitRevisionDescription)
 git_describe(VERSION --tags)
</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>