<!DOCTYPE html>
<html lang='en'>
<head>
<title>gnu: cyrus-sasl: Build sequentially. - guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/gnu/packages/ncdu.scm?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='dd68dd137a4a70cde7e344bd969ef7849355d018'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'>elect> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=9fb8a480d5aec9186908e92ad18b31455f4aab6b'>refs</a><a href='/guix/log/gnu/packages/patches/libksysguard-qdiriterator-follow-symlinks.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/libksysguard-qdiriterator-follow-symlinks.patch?id=9fb8a480d5aec9186908e92ad18b31455f4aab6b'>tree</a><a href='/guix/commit/gnu/packages/patches/libksysguard-qdiriterator-follow-symlinks.patch?id=9fb8a480d5aec9186908e92ad18b31455f4aab6b'>commit</a><a href='/guix/diff/gnu/packages/patches/libksysguard-qdiriterator-follow-symlinks.patch?id=9fb8a480d5aec9186908e92ad18b31455f4aab6b'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/libksysguard-qdiriterator-follow-symlinks.patch'>
<input type='hidden' name='id' value='9fb8a480d5aec9186908e92ad18b31455f4aab6b'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=9fb8a480d5aec9186908e92ad18b31455f4aab6b'>root</a>/<a href='/guix/tree/gnu?id=9fb8a480d5aec9186908e92ad18b31455f4aab6b'>gnu</a>/<a href='/guix/tree/gnu/packages?id=9fb8a480d5aec9186908e92ad18b31455f4aab6b'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=9fb8a480d5aec9186908e92ad18b31455f4aab6b'>patches</a>/<a href='/guix/tree/gnu/packages/patches/libksysguard-qdiriterator-follow-symlinks.patch?id=9fb8a480d5aec9186908e92ad18b31455f4aab6b'>libksysguard-qdiriterator-follow-symlinks.patch</a></div><div class='content'>blob: ec4a34037dcba1156c2bac063065d9606b6e4fc7 (<a href='/guix/about/gnu/packages/patches/libksysguard-qdiriterator-follow-symlinks.patch?id=9fb8a480d5aec9186908e92ad18b31455f4aab6b'>about</a>) (<a href='/guix/plain/gnu/packages/patches/libksysguard-qdiriterator-follow-symlinks.patch?id=9fb8a480d5aec9186908e92ad18b31455f4aab6b'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
</pre></td>
<td class='lines'><pre><code>From 46164a50de4102d02ae9d1d480acdd4b12303db8 Mon Sep 17 00:00:00 2001
From: Thomas Tuegel &lt;ttuegel@gmail.com&gt;
Date: Wed, 14 Oct 2015 07:07:22 -0500
Subject: [PATCH] qdiriterator follow symlinks

---
 processui/scripting.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/processui/scripting.cpp b/processui/scripting.cpp
index efed8ff..841761a 100644
--- a/processui/scripting.cpp
+++ b/processui/scripting.cpp
@@ -293,7 +293,7 @@ void Scripting::loadContextMenu()
     const QStringList dirs =
         QStandardPaths::locateAll(QStandardPaths::GenericDataLocation, QStringLiteral("ksysguard/scripts/"), QStandardPaths::LocateDirectory);
     for (const QString &amp;dir : dirs) {
-        QDirIterator it(dir, QStringList() &lt;&lt; QStringLiteral("*.desktop"), QDir::NoFilter, QDirIterator::Subdirectories);
+        QDirIterator it(dir, QStringList() &lt;&lt; QStringLiteral("*.desktop"), QDir::NoFilter, QDirIterator::Subdirectories | QDirIterator::FollowSymlinks);
         while (it.hasNext()) {
             scripts.append(it.next());
         }
-- 
2.5.2
</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>