<!DOCTYPE html>
<html lang='en'>
<head>
<title>enlightenment.scm « packages « gnu - guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/gnu/packages/enlightenment.scm?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='5146f22b3b1615ed9d10796a0b1fffdf617138ef'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'>ized Guix</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=25fd40f5408b81aaf231260fb956776d3853f0e7'>refs</a><a href='/guix/log/gnu/packages/patches/libmp4v2-c++11.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/libmp4v2-c++11.patch?id=25fd40f5408b81aaf231260fb956776d3853f0e7'>tree</a><a href='/guix/commit/gnu/packages/patches/libmp4v2-c++11.patch?id=25fd40f5408b81aaf231260fb956776d3853f0e7'>commit</a><a href='/guix/diff/gnu/packages/patches/libmp4v2-c++11.patch?id=25fd40f5408b81aaf231260fb956776d3853f0e7'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/libmp4v2-c++11.patch'>
<input type='hidden' name='id' value='25fd40f5408b81aaf231260fb956776d3853f0e7'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=25fd40f5408b81aaf231260fb956776d3853f0e7'>root</a>/<a href='/guix/tree/gnu?id=25fd40f5408b81aaf231260fb956776d3853f0e7'>gnu</a>/<a href='/guix/tree/gnu/packages?id=25fd40f5408b81aaf231260fb956776d3853f0e7'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=25fd40f5408b81aaf231260fb956776d3853f0e7'>patches</a>/<a href='/guix/tree/gnu/packages/patches/libmp4v2-c++11.patch?id=25fd40f5408b81aaf231260fb956776d3853f0e7'>libmp4v2-c++11.patch</a></div><div class='content'>blob: e12f89bd8444974209f227f79f7159a876d8f1a8 (<a href='/guix/about/gnu/packages/patches/libmp4v2-c++11.patch?id=25fd40f5408b81aaf231260fb956776d3853f0e7'>about</a>) (<a href='/guix/plain/gnu/packages/patches/libmp4v2-c++11.patch?id=25fd40f5408b81aaf231260fb956776d3853f0e7'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
</pre></td>
<td class='lines'><pre><code>Avoid a type mismatch that shows up in C++11.
Taken from &lt;https://bugs.debian.org/853560&gt;.

--- a/src/rtphint.cpp	2012-05-20 16:11:53.000000000 -0600
+++ b/src/rtphint.cpp	2017-05-16 10:25:26.930705191 -0600
@@ -339,7 +339,7 @@
                 pSlash = strchr(pSlash, '/');
                 if (pSlash != NULL) {
                     pSlash++;
-                    if (pSlash != '\0') {
+                    if (*pSlash != '\0') {
                         length = (uint32_t)strlen(pRtpMap) - (pSlash - pRtpMap);
                         *ppEncodingParams = (char *)MP4Calloc(length + 1);
                         strncpy(*ppEncodingParams, pSlash, length);
</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>