<!DOCTYPE html>
<html lang='en'>
<head>
<title>packages « gnu - guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/gnu/packages?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='28fd275cafcd8508a786bacac4d56ef927facbfa'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'>option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=5f031ed242f979a9687f14fac9c311068f6b437b'>refs</a><a href='/guix/log/gnu/packages/patches/libtiff-oob-write-in-nextdecode.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/libtiff-oob-write-in-nextdecode.patch?id=5f031ed242f979a9687f14fac9c311068f6b437b'>tree</a><a href='/guix/commit/gnu/packages/patches/libtiff-oob-write-in-nextdecode.patch?id=5f031ed242f979a9687f14fac9c311068f6b437b'>commit</a><a href='/guix/diff/gnu/packages/patches/libtiff-oob-write-in-nextdecode.patch?id=5f031ed242f979a9687f14fac9c311068f6b437b'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/libtiff-oob-write-in-nextdecode.patch'>
<input type='hidden' name='id' value='5f031ed242f979a9687f14fac9c311068f6b437b'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=5f031ed242f979a9687f14fac9c311068f6b437b'>root</a>/<a href='/guix/tree/gnu?id=5f031ed242f979a9687f14fac9c311068f6b437b'>gnu</a>/<a href='/guix/tree/gnu/packages?id=5f031ed242f979a9687f14fac9c311068f6b437b'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=5f031ed242f979a9687f14fac9c311068f6b437b'>patches</a>/<a href='/guix/tree/gnu/packages/patches/libtiff-oob-write-in-nextdecode.patch?id=5f031ed242f979a9687f14fac9c311068f6b437b'>libtiff-oob-write-in-nextdecode.patch</a></div><div class='content'>blob: 50657b667c68eee49a66f820aa2e27ef75a49927 (<a href='/guix/about/gnu/packages/patches/libtiff-oob-write-in-nextdecode.patch?id=5f031ed242f979a9687f14fac9c311068f6b437b'>about</a>) (<a href='/guix/plain/gnu/packages/patches/libtiff-oob-write-in-nextdecode.patch?id=5f031ed242f979a9687f14fac9c311068f6b437b'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
<a id='n32' href='#n32'>32</a>
<a id='n33' href='#n33'>33</a>
<a id='n34' href='#n34'>34</a>
<a id='n35' href='#n35'>35</a>
<a id='n36' href='#n36'>36</a>
<a id='n37' href='#n37'>37</a>
<a id='n38' href='#n38'>38</a>
<a id='n39' href='#n39'>39</a>
<a id='n40' href='#n40'>40</a>
<a id='n41' href='#n41'>41</a>
<a id='n42' href='#n42'>42</a>
<a id='n43' href='#n43'>43</a>
<a id='n44' href='#n44'>44</a>
<a id='n45' href='#n45'>45</a>
<a id='n46' href='#n46'>46</a>
<a id='n47' href='#n47'>47</a>
<a id='n48' href='#n48'>48</a>
<a id='n49' href='#n49'>49</a>
</pre></td>
<td class='lines'><pre><code>2015-12-27  Even Rouault &lt;even.rouault at spatialys.com&gt;

	* libtiff/tif_next.c: fix potential out-of-bound write in NeXTDecode()
	triggered by http://lcamtuf.coredump.cx/afl/vulns/libtiff5.tif
	(bugzilla #2508)

diff -u -r1.16 -r1.18
--- libtiff/libtiff/tif_next.c	29 Dec 2014 12:09:11 -0000	1.16
+++ libtiff/libtiff/tif_next.c	27 Dec 2015 17:14:52 -0000	1.18
@@ -1,4 +1,4 @@
-/* $Id: tif_next.c,v 1.16 2014-12-29 12:09:11 erouault Exp $ */
+/* $Id: tif_next.c,v 1.18 2015-12-27 17:14:52 erouault Exp $ */
 
 /*
  * Copyright (c) 1988-1997 Sam Leffler
@@ -37,7 +37,7 @@
 	case 0:	op[0]  = (unsigned char) ((v) &lt;&lt; 6); break;	\
 	case 1:	op[0] |= (v) &lt;&lt; 4; break;	\
 	case 2:	op[0] |= (v) &lt;&lt; 2; break;	\
-	case 3:	*op++ |= (v);	   break;	\
+	case 3:	*op++ |= (v);	   op_offset++; break;	\
 	}					\
 }
 
@@ -103,6 +103,7 @@
 		}
 		default: {
 			uint32 npixels = 0, grey;
+			tmsize_t op_offset = 0;
 			uint32 imagewidth = tif-&gt;tif_dir.td_imagewidth;
             if( isTiled(tif) )
                 imagewidth = tif-&gt;tif_dir.td_tilewidth;
@@ -122,10 +123,15 @@
 				 * bounds, potentially resulting in a security
 				 * issue.
 				 */
-				while (n-- &gt; 0 &amp;&amp; npixels &lt; imagewidth)
+				while (n-- &gt; 0 &amp;&amp; npixels &lt; imagewidth &amp;&amp; op_offset &lt; scanline)
 					SETPIXEL(op, grey);
 				if (npixels &gt;= imagewidth)
 					break;
+                if (op_offset &gt;= scanline ) {
+                    TIFFErrorExt(tif-&gt;tif_clientdata, module, "Invalid data for scanline %ld",
+                        (long) tif-&gt;tif_row);
+                    return (0);
+                }
 				if (cc == 0)
 					goto bad;
 				n = *bp++, cc--;
</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>