<!DOCTYPE html>
<html lang='en'>
<head>
<title>guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/gnu/packages/patches/gmp-arm-asm-nothumb.patch?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='d726b954baaeff876ce9728e00920fa45f529f9a'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'><tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=d726b954baaeff876ce9728e00920fa45f529f9a'>refs</a><a href='/guix/log/gnu/packages/patches/libvdpau-va-gl-unbundle.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/libvdpau-va-gl-unbundle.patch?id=d726b954baaeff876ce9728e00920fa45f529f9a'>tree</a><a href='/guix/commit/gnu/packages/patches/libvdpau-va-gl-unbundle.patch?id=d726b954baaeff876ce9728e00920fa45f529f9a'>commit</a><a href='/guix/diff/gnu/packages/patches/libvdpau-va-gl-unbundle.patch?id=d726b954baaeff876ce9728e00920fa45f529f9a'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/libvdpau-va-gl-unbundle.patch'>
<input type='hidden' name='id' value='d726b954baaeff876ce9728e00920fa45f529f9a'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=d726b954baaeff876ce9728e00920fa45f529f9a'>root</a>/<a href='/guix/tree/gnu?id=d726b954baaeff876ce9728e00920fa45f529f9a'>gnu</a>/<a href='/guix/tree/gnu/packages?id=d726b954baaeff876ce9728e00920fa45f529f9a'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=d726b954baaeff876ce9728e00920fa45f529f9a'>patches</a>/<a href='/guix/tree/gnu/packages/patches/libvdpau-va-gl-unbundle.patch?id=d726b954baaeff876ce9728e00920fa45f529f9a'>libvdpau-va-gl-unbundle.patch</a></div><div class='content'>blob: b15e15c2a35581b11cdcbb9fa203a1fb1ee47a8c (<a href='/guix/about/gnu/packages/patches/libvdpau-va-gl-unbundle.patch?id=d726b954baaeff876ce9728e00920fa45f529f9a'>about</a>) (<a href='/guix/plain/gnu/packages/patches/libvdpau-va-gl-unbundle.patch?id=d726b954baaeff876ce9728e00920fa45f529f9a'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
<a id='n32' href='#n32'>32</a>
<a id='n33' href='#n33'>33</a>
<a id='n34' href='#n34'>34</a>
<a id='n35' href='#n35'>35</a>
</pre></td>
<td class='lines'><pre><code>From 18e3ff648356cf06a39372aa4a4bbf2732d9d0f4 Mon Sep 17 00:00:00 2001
From: Efraim Flashner &lt;efraim@flashner.co.il&gt;
Date: Tue, 12 Dec 2017 21:36:44 +0200
Subject: [PATCH] don't use bundled libvdpau headers

---
 CMakeLists.txt | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/CMakeLists.txt b/CMakeLists.txt
index 0484179..e950707 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -9,16 +9,17 @@ find_package(PkgConfig REQUIRED)
 find_package(X11 REQUIRED)
 pkg_check_modules(LIBVA      libva-x11  REQUIRED)
 pkg_check_modules(LIBGL      gl         REQUIRED)
+pkg_check_modules(LIBVDPAU   vdpau      REQUIRED)
 
 set(DRIVER_NAME "vdpau_va_gl" CACHE STRING "driver name")
 set(LIB_SUFFIX "" CACHE STRING "library path suffix (if needed)")
 set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}/vdpau" CACHE PATH "library installation path")
 
 include_directories (
-    3rdparty
     ${X11_INCLUDE_DIRS}
     ${LIBVA_INCLUDE_DIRS}
     ${LIBGL_INCLUDE_DIRS}
+    ${LIBVDPAU_INCLUDE_DIRS}
     ${GENERATED_INCLUDE_DIRS}
     ${CMAKE_BINARY_DIR}
 )
-- 
2.15.1

</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>