<!DOCTYPE html>
<html lang='en'>
<head>
<title>guix.scm - guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/guix.scm?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='621c077384c9dba6955bf712c7c93e7c0f3304f1'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'>/select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=3426c0e531823f14825f0777923146ef2869d210'>refs</a><a href='/guix/log/gnu/packages/patches/lirc-reproducible-build.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/lirc-reproducible-build.patch?id=3426c0e531823f14825f0777923146ef2869d210'>tree</a><a href='/guix/commit/gnu/packages/patches/lirc-reproducible-build.patch?id=3426c0e531823f14825f0777923146ef2869d210'>commit</a><a href='/guix/diff/gnu/packages/patches/lirc-reproducible-build.patch?id=3426c0e531823f14825f0777923146ef2869d210'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/lirc-reproducible-build.patch'>
<input type='hidden' name='id' value='3426c0e531823f14825f0777923146ef2869d210'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=3426c0e531823f14825f0777923146ef2869d210'>root</a>/<a href='/guix/tree/gnu?id=3426c0e531823f14825f0777923146ef2869d210'>gnu</a>/<a href='/guix/tree/gnu/packages?id=3426c0e531823f14825f0777923146ef2869d210'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=3426c0e531823f14825f0777923146ef2869d210'>patches</a>/<a href='/guix/tree/gnu/packages/patches/lirc-reproducible-build.patch?id=3426c0e531823f14825f0777923146ef2869d210'>lirc-reproducible-build.patch</a></div><div class='content'>blob: 20f934471533a6f8f6bab76d07137ac1514ed589 (<a href='/guix/about/gnu/packages/patches/lirc-reproducible-build.patch?id=3426c0e531823f14825f0777923146ef2869d210'>about</a>) (<a href='/guix/plain/gnu/packages/patches/lirc-reproducible-build.patch?id=3426c0e531823f14825f0777923146ef2869d210'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
<a id='n32' href='#n32'>32</a>
<a id='n33' href='#n33'>33</a>
<a id='n34' href='#n34'>34</a>
<a id='n35' href='#n35'>35</a>
<a id='n36' href='#n36'>36</a>
<a id='n37' href='#n37'>37</a>
<a id='n38' href='#n38'>38</a>
<a id='n39' href='#n39'>39</a>
<a id='n40' href='#n40'>40</a>
<a id='n41' href='#n41'>41</a>
<a id='n42' href='#n42'>42</a>
<a id='n43' href='#n43'>43</a>
<a id='n44' href='#n44'>44</a>
<a id='n45' href='#n45'>45</a>
<a id='n46' href='#n46'>46</a>
<a id='n47' href='#n47'>47</a>
<a id='n48' href='#n48'>48</a>
<a id='n49' href='#n49'>49</a>
<a id='n50' href='#n50'>50</a>
<a id='n51' href='#n51'>51</a>
<a id='n52' href='#n52'>52</a>
<a id='n53' href='#n53'>53</a>
<a id='n54' href='#n54'>54</a>
<a id='n55' href='#n55'>55</a>
<a id='n56' href='#n56'>56</a>
<a id='n57' href='#n57'>57</a>
<a id='n58' href='#n58'>58</a>
<a id='n59' href='#n59'>59</a>
<a id='n60' href='#n60'>60</a>
<a id='n61' href='#n61'>61</a>
<a id='n62' href='#n62'>62</a>
<a id='n63' href='#n63'>63</a>
<a id='n64' href='#n64'>64</a>
<a id='n65' href='#n65'>65</a>
<a id='n66' href='#n66'>66</a>
<a id='n67' href='#n67'>67</a>
<a id='n68' href='#n68'>68</a>
<a id='n69' href='#n69'>69</a>
<a id='n70' href='#n70'>70</a>
<a id='n71' href='#n71'>71</a>
<a id='n72' href='#n72'>72</a>
</pre></td>
<td class='lines'><pre><code>Build Lirc reproducibly.

https://sourceforge.net/p/lirc/tickets/301/
https://sourceforge.net/p/lirc/git/merge-requests/33/
https://sourceforge.net/p/lirc/git/merge-requests/34/
https://sourceforge.net/p/lirc/git/merge-requests/36/

Index: lirc-0.10.1/tools/lirc-lsplugins.cpp
===================================================================
--- lirc-0.10.1.orig/tools/lirc-lsplugins.cpp
+++ lirc-0.10.1/tools/lirc-lsplugins.cpp
@@ -415,10 +415,9 @@ static void print_header(void)
 static void print_yaml_header(void)
 {
 	static const char* const YAML_HEADER =
-		"#\n# Generated by lirc-lsplugins --yaml (%s) at %s#\n ";
-	const time_t now = time(NULL);
+		"#\n# Generated by lirc-lsplugins --yaml (%s)#\n ";
 
-	printf(YAML_HEADER, VERSION, ctime(&amp;now));
+	printf(YAML_HEADER, VERSION);
 	printf("\ndrivers:\n");
 }
 
Index: lirc-0.10.1/python-pkg/lirc/database.py
===================================================================
--- lirc-0.10.1.orig/python-pkg/lirc/database.py
+++ lirc-0.10.1/python-pkg/lirc/database.py
@@ -156,7 +156,7 @@ class Database(object):
             d['device_hint'] = hint
 
         configs = {}
-        for path in glob.glob(configdir + '/*.conf'):
+        for path in sorted(glob.glob(configdir + '/*.conf')):
             with open(path) as f:
                 cf = yaml.load(f.read())
             configs[cf['config']['id']] = cf['config']
Index: lirc-0.10.1/tools/irdb-get
===================================================================
--- lirc-0.10.1.orig/tools/irdb-get
+++ lirc-0.10.1/tools/irdb-get
@@ -9,7 +9,6 @@ import fnmatch
 import os
 import os.path
 import sys
-import time
 import urllib.error          # pylint: disable=no-name-in-module,F0401,E0611
 import urllib.request        # pylint: disable=no-name-in-module,F0401,E0611
 
@@ -193,7 +192,7 @@ def do_yaml_config():
         lircmd_by_driver[driver].append("%s/%s" % (tokens[0], tokens[2]))
 
     print("#")
-    print("# Created by 'irdb-get yaml-config' at " + time.ctime())
+    print("# Created by 'irdb-get yaml-config'")
     print("#")
     print("\nlircd_by_driver:")
     print_yaml_dict(lircd_by_driver)
Index: lirc-0.10.1/tools/lirc-make-devinput
===================================================================
--- lirc-0.10.1.orig/tools/lirc-make-devinput
+++ lirc-0.10.1/tools/lirc-make-devinput
@@ -61,8 +61,7 @@ if test -n "$lirc_map"; then
 fi
 
 
-echo "# Generated by $(basename $0) on $(uname -r)"
-echo "# Date: $(date)"
+echo "# Generated by $(basename $0)"
 cat &lt;&lt;EOF
 
 begin remote
</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>