<!DOCTYPE html>
<html lang='en'>
<head>
<title>guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='201fff9ea1c8ab973a35881a2736e053b844d0d7'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'>'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=63b96da5ea5dfb5c330d9ee18668e8c600add19c'>refs</a><a href='/guix/log/gnu/packages/patches/lirc-reproducible-build.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/lirc-reproducible-build.patch?id=63b96da5ea5dfb5c330d9ee18668e8c600add19c'>tree</a><a href='/guix/commit/gnu/packages/patches/lirc-reproducible-build.patch?id=63b96da5ea5dfb5c330d9ee18668e8c600add19c'>commit</a><a href='/guix/diff/gnu/packages/patches/lirc-reproducible-build.patch?id=63b96da5ea5dfb5c330d9ee18668e8c600add19c'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/lirc-reproducible-build.patch'>
<input type='hidden' name='id' value='63b96da5ea5dfb5c330d9ee18668e8c600add19c'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=63b96da5ea5dfb5c330d9ee18668e8c600add19c'>root</a>/<a href='/guix/tree/gnu?id=63b96da5ea5dfb5c330d9ee18668e8c600add19c'>gnu</a>/<a href='/guix/tree/gnu/packages?id=63b96da5ea5dfb5c330d9ee18668e8c600add19c'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=63b96da5ea5dfb5c330d9ee18668e8c600add19c'>patches</a>/<a href='/guix/tree/gnu/packages/patches/lirc-reproducible-build.patch?id=63b96da5ea5dfb5c330d9ee18668e8c600add19c'>lirc-reproducible-build.patch</a></div><div class='content'>blob: 75aa480941ec598788e1a16e8a4a768b5697f435 (<a href='/guix/about/gnu/packages/patches/lirc-reproducible-build.patch?id=63b96da5ea5dfb5c330d9ee18668e8c600add19c'>about</a>) (<a href='/guix/plain/gnu/packages/patches/lirc-reproducible-build.patch?id=63b96da5ea5dfb5c330d9ee18668e8c600add19c'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
<a id='n32' href='#n32'>32</a>
<a id='n33' href='#n33'>33</a>
<a id='n34' href='#n34'>34</a>
<a id='n35' href='#n35'>35</a>
</pre></td>
<td class='lines'><pre><code>Build Lirc reproducibly.

https://sourceforge.net/p/lirc/tickets/301/
https://sourceforge.net/p/lirc/git/merge-requests/33/
https://sourceforge.net/p/lirc/git/merge-requests/34/
https://sourceforge.net/p/lirc/git/merge-requests/36/

diff -Naur lirc-0.10.2a/python-pkg/lirc/database.py lirc-0.10.2/python-pkg/lirc/database.py
--- lirc-0.10.2a/python-pkg/lirc/database.py	1970-01-01 01:00:01.000000000 +0100
+++ lirc-0.10.2/python-pkg/lirc/database.py	2023-01-20 14:23:29.414088668 +0100
@@ -160,7 +160,7 @@
             d['device_hint'] = hint
 
         configs = {}
-        for path in glob.glob(configdir + '/*.conf'):
+        for path in sorted(glob.glob(configdir + '/*.conf')):
             with open(path) as f:
                 cf = yaml.load(f.read(), Loader = Loader)
             configs[cf['config']['id']] = cf['config']
diff -Naur lirc-0.10.2a/tools/lirc-lsplugins.cpp lirc-0.10.2/tools/lirc-lsplugins.cpp
--- lirc-0.10.2a/tools/lirc-lsplugins.cpp	1970-01-01 01:00:01.000000000 +0100
+++ lirc-0.10.2/tools/lirc-lsplugins.cpp	2023-01-20 14:24:42.719085612 +0100
@@ -413,10 +413,9 @@
 static void print_yaml_header(void)
 {
 	static const char* const YAML_HEADER =
-		"#\n# Generated by lirc-lsplugins --yaml (%s) at %s#\n ";
-	const time_t now = time(NULL);
+		"#\n# Generated by lirc-lsplugins --yaml (%s)#\n ";
 
-	printf(YAML_HEADER, VERSION, ctime(&amp;now));
+	printf(YAML_HEADER, VERSION);
 	printf("\ndrivers:\n");
 }
 
</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>