<!DOCTYPE html>
<html lang='en'>
<head>
<title>guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/gnu/packages/high-availability.scm?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='fa715278bcb62874580d4b72ad3b0545e8a686e5'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'>tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=3dcfec09c3822188fea441c989341d8825aa506f'>refs</a><a href='/guix/log/gnu/packages/patches/luajit-symlinks.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/luajit-symlinks.patch?id=3dcfec09c3822188fea441c989341d8825aa506f'>tree</a><a href='/guix/commit/gnu/packages/patches/luajit-symlinks.patch?id=3dcfec09c3822188fea441c989341d8825aa506f'>commit</a><a href='/guix/diff/gnu/packages/patches/luajit-symlinks.patch?id=3dcfec09c3822188fea441c989341d8825aa506f'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/luajit-symlinks.patch'>
<input type='hidden' name='id' value='3dcfec09c3822188fea441c989341d8825aa506f'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=3dcfec09c3822188fea441c989341d8825aa506f'>root</a>/<a href='/guix/tree/gnu?id=3dcfec09c3822188fea441c989341d8825aa506f'>gnu</a>/<a href='/guix/tree/gnu/packages?id=3dcfec09c3822188fea441c989341d8825aa506f'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=3dcfec09c3822188fea441c989341d8825aa506f'>patches</a>/<a href='/guix/tree/gnu/packages/patches/luajit-symlinks.patch?id=3dcfec09c3822188fea441c989341d8825aa506f'>luajit-symlinks.patch</a></div><div class='content'>blob: 2466c34144b165d7e814b6c9855b15a59cd30262 (<a href='/guix/plain/gnu/packages/patches/luajit-symlinks.patch?id=3dcfec09c3822188fea441c989341d8825aa506f'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
</pre></td>
<td class='lines'><pre><code>From 0a54a8f125d7ab508c7c88d5ad4ed1b0c63cb5b6 Mon Sep 17 00:00:00 2001
From: =?utf8?q?Tom=C3=A1=C5=A1=20=C4=8Cech?= &lt;sleep_walker@suse.cz&gt;
Date: Wed, 4 Feb 2015 11:32:55 +0100
Subject: [PATCH 1/2] Provide two symlinks for dynamic library during install

---
 Makefile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/Makefile b/Makefile
index 0891b71..343ecb5 100644
--- a/Makefile
+++ b/Makefile
@@ -56,7 +56,7 @@ INSTALL_PCNAME= luajit.pc
 INSTALL_STATIC= $(INSTALL_LIB)/$(INSTALL_ANAME)
 INSTALL_DYN= $(INSTALL_LIB)/$(INSTALL_SONAME)
 INSTALL_SHORT1= $(INSTALL_LIB)/$(INSTALL_SOSHORT)
-INSTALL_SHORT2= $(INSTALL_LIB)/$(INSTALL_SOSHORT)
+INSTALL_SHORT2= $(INSTALL_LIB)/$(INSTALL_SOSHORT).$(MAJVER)
 INSTALL_T= $(INSTALL_BIN)/$(INSTALL_TNAME)
 INSTALL_TSYM= $(INSTALL_BIN)/$(INSTALL_TSYMNAME)
 INSTALL_PC= $(INSTALL_PKGCONFIG)/$(INSTALL_PCNAME)
-- 
2.2.2

</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>