<!DOCTYPE html>
<html lang='en'>
<head>
<title>gnu - guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/gnu?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='1dbb9302c204c33d2d3b306065419d48596fe5cd'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'>t> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=63b96da5ea5dfb5c330d9ee18668e8c600add19c'>refs</a><a href='/guix/log/gnu/packages/patches/lugaru-fix-sound.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/lugaru-fix-sound.patch?id=63b96da5ea5dfb5c330d9ee18668e8c600add19c'>tree</a><a href='/guix/commit/gnu/packages/patches/lugaru-fix-sound.patch?id=63b96da5ea5dfb5c330d9ee18668e8c600add19c'>commit</a><a href='/guix/diff/gnu/packages/patches/lugaru-fix-sound.patch?id=63b96da5ea5dfb5c330d9ee18668e8c600add19c'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/lugaru-fix-sound.patch'>
<input type='hidden' name='id' value='63b96da5ea5dfb5c330d9ee18668e8c600add19c'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=63b96da5ea5dfb5c330d9ee18668e8c600add19c'>root</a>/<a href='/guix/tree/gnu?id=63b96da5ea5dfb5c330d9ee18668e8c600add19c'>gnu</a>/<a href='/guix/tree/gnu/packages?id=63b96da5ea5dfb5c330d9ee18668e8c600add19c'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=63b96da5ea5dfb5c330d9ee18668e8c600add19c'>patches</a>/<a href='/guix/tree/gnu/packages/patches/lugaru-fix-sound.patch?id=63b96da5ea5dfb5c330d9ee18668e8c600add19c'>lugaru-fix-sound.patch</a></div><div class='content'>blob: 742908c977d0675d93138b6650a349365370f0eb (<a href='/guix/about/gnu/packages/patches/lugaru-fix-sound.patch?id=63b96da5ea5dfb5c330d9ee18668e8c600add19c'>about</a>) (<a href='/guix/plain/gnu/packages/patches/lugaru-fix-sound.patch?id=63b96da5ea5dfb5c330d9ee18668e8c600add19c'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
<a id='n32' href='#n32'>32</a>
</pre></td>
<td class='lines'><pre><code>From 3adfb088eed81fc2c9e40ac55018378d4975f469 Mon Sep 17 00:00:00 2001
From: Maxim Cournoyer &lt;maxim.cournoyer@gmail.com&gt;
Date: Sun, 28 Jan 2024 19:50:51 -0500
Subject: [PATCH] audio: Look extension from right, not left.

* Source/Audio/openal_wrapper.cpp (decode_to_pcm): Find extension from
the right (strrchr), not from the left, to avoid eagerly truncating a
file name.

Fixes: https://gitlab.com/osslugaru/lugaru/-/issues/124#note_1746570172
---
 Source/Audio/openal_wrapper.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/Source/Audio/openal_wrapper.cpp b/Source/Audio/openal_wrapper.cpp
index cc4fc36..072fcb8 100644
--- a/Source/Audio/openal_wrapper.cpp
+++ b/Source/Audio/openal_wrapper.cpp
@@ -316,7 +316,7 @@ static void* decode_to_pcm(const char* _fname, ALenum&amp; format, ALsizei&amp; size, AL
     // !!! FIXME: if it's not Ogg, we don't have a decoder. I'm lazy.  :/
     char* fname = (char*)alloca(strlen(_fname) + 16);
     strcpy(fname, _fname);
-    char* ptr = strchr(fname, '.');
+    char* ptr = strrchr(fname, '.');
     if (ptr) {
         *ptr = '\0';
     }

base-commit: 6a58b62858d9c3c3630abf00bf43075f65a09d38
-- 
2.41.0

</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>